Records
Get record comment
Retrieve a specific comment by id.
GET
/
orgs
/
{org_id}
/
records
/
{record_id}
/
comments
/
{activity_id}
Get record comment
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments/{activity_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments/{activity_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments/{activity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"record_id": "<string>",
"comment": "<string>",
"attachments": [
{
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"seen_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"color": "red",
"shape": "square",
"avatar_url": "<string>"
},
"chat": {
"id": "<string>",
"title": "<string>",
"status": "RUNNING",
"created_at": "2023-11-07T05:31:56Z",
"state": {
"state": "OPEN",
"ai_enabled": true,
"admin_unseen_count": 123,
"muted_until": "2023-11-07T05:31:56Z",
"follow_up_at": "2023-11-07T05:31:56Z"
}
},
"metadata": {
"type": "contact_updated",
"changes": [
{
"key": "<string>",
"old_value": "<unknown>",
"new_value": "<unknown>"
}
]
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
Org ID
Record ID
Activity ID
Response
200 - application/json
Schema for a table record comment
Files attached to the comment
Show child attributes
Show child attributes
User who posted the comment
Show child attributes
Show child attributes
Agent who posted the comment
Show child attributes
Show child attributes
The run that answered a tag with this comment
Show child attributes
Show child attributes
Activity metadata payload. Discriminated by type, which mirrors the parent activity row type.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get record comment
